#9 SyntaxError on Linux: PyX-0.3.1.tar.gz

closed
nobody
None
5
2012-10-16
2003-07-28
Anonymous
No

I was trying to install the latest version of PyX in
Linux (Red Hat) using the Python 2.2.3. Here is the
message I got:

python setup.py build_ext -i
File "setup.py", line 66
**addargs)
^
SyntaxError: invalid syntax

Discussion

  • Andre Wobst

    Andre Wobst - 2003-07-29

    Logged In: YES
    user_id=405853

    Just to get sure: could you please run "python -V" in your
    environment to get sure that you do not pick some old flavor
    of python by accident. (The keyword argument syntax the
    interpreter complains about was introduced in python 2.0.
    For newer versions of python this message just doesn't make
    any sense to me right now.)

     
  • Jörg Lehmann

    Jörg Lehmann - 2003-07-29

    Logged In: YES
    user_id=390410

    I would suggest running the setup.py script via

    python2.2 setup.py build_ext -i

    HTH,
    Jrg

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks